Bug 191598 - math/cloog: build against system devel/isl library
Summary: math/cloog: build against system devel/isl library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on: 191650
Blocks: 191596
  Show dependency treegraph
 
Reported: 2014-07-04 07:42 UTC by Jan Beich
Modified: 2014-07-09 23:00 UTC (History)
1 user (show)

See Also:


Attachments
use system isl (2.70 KB, patch)
2014-07-04 07:42 UTC, Jan Beich
no flags Details | Diff
use system isl (2.71 KB, patch)
2014-07-04 07:52 UTC, Jan Beich
no flags Details | Diff
Build faulure with system isl (21.77 KB, text/plain)
2014-07-04 18:02 UTC, Lev A. Serebryakov
no flags Details
use system isl, v2 (35.89 KB, patch)
2014-07-06 05:56 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-07-04 07:42:22 UTC
Created attachment 144392 [details]
use system isl

based on bug 187143 comment 2 or https://redports.org/changeset/23684
Comment 1 Jan Beich freebsd_committer 2014-07-04 07:52:38 UTC
Created attachment 144394 [details]
use system isl

- s/PREFIX/LOCALBASE/
- add comment about isl version
Comment 2 Danilo Egea Gondolfo freebsd_committer 2014-07-04 15:15:57 UTC
As I wrote in ports/191596, devel/gcc-arm-embedded depends on isl from cloog. Can you test if it builds with devel/isl, please?
Comment 3 Lev A. Serebryakov freebsd_committer 2014-07-04 18:01:33 UTC
I could not build math/cloog with this patch :(
Comment 4 Lev A. Serebryakov freebsd_committer 2014-07-04 18:02:36 UTC
Created attachment 144409 [details]
Build faulure with system isl

> pkg info isl
isl-0.13
...
>
Comment 5 Danilo Egea Gondolfo freebsd_committer 2014-07-04 18:09:17 UTC
The same here.
Comment 6 Lev A. Serebryakov freebsd_committer 2014-07-04 18:09:30 UTC
Oh, I need downgrade isl to 0.12, I see. I'll try it at Monday.
Comment 7 Jan Beich freebsd_committer 2014-07-06 05:56:01 UTC
Created attachment 144446 [details]
use system isl, v2

Now includes 0.13 fix from PkgSrc (2d8b7c6 rebased against 0.18.1). I've concatenated the patch files into files/patch-isl-0.13-fix for convenience.

Also revert install of lib/isl/isl-config.cmake. If it's not in plist |poudriere testport| complains about stage orphans. This can be changed when devel/isl starts to provide cmake config (not only pkg-config).
Comment 8 commit-hook freebsd_committer 2014-07-08 01:21:39 UTC
A commit references this bug:

Author: danilo
Date: Tue Jul  8 01:21:18 UTC 2014
New revision: 361151
URL: http://svnweb.freebsd.org/changeset/ports/361151

Log:
  - Add some patches from PkgSrc to enable cloog to builds with devel/isl
  - Fix a installation conflict between devel/isl and math/cloog
  - Notice that this commit breaks devel/gcc-arm-embedded, lev@ will take a look after (ports/191596)

  PR:		ports/191598
  Submitted by:	Jan Beich <jbeich@vfemail.net>

Changes:
  head/math/cloog/Makefile
  head/math/cloog/files/
  head/math/cloog/files/patch-include__cloog__isl__constraintset.h
  head/math/cloog/files/patch-source__isl__constraints.c
  head/math/cloog/files/patch-source__isl__domain.c
  head/math/cloog/pkg-plist
Comment 9 Danilo Egea Gondolfo freebsd_committer 2014-07-09 23:00:31 UTC
Committed. Thanks!